studentdb/config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  devise_for :users
  get 'site/index'
  get 'site/admin_dashboard', as: :admin_dashboard
  resources :projects
  resources :students
  post 'projects/:id/students', as: :add_student_to_project, controller: :projects, action: :add_student
  root to: 'site#index'
end

studentdb/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />

    <title>Student Database</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_pack_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>

    <!-- Google Fonts Roboto -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
    />
  </head>
  <body>
    <header>
      <!-- Navbar -->
      <nav class="navbar navbar-expand-lg navbar-light bg-white fixed-top">
        <div class="container-fluid">
          <button
            class="navbar-toggler"
            type="button"
            data-mdb-toggle="collapse"
            data-mdb-target="#navbar"
            aria-controls="navbar"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <i class="fas fa-bars"></i>
          </button>
          <div class="collapse navbar-collapse" id="navbar">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item active">
                <%= image_pack_tag 'studentdb.png', height: 40 %>
              </li>
              <li class="nav-item">
                <%= link_to 'Student Database', root_path, class: 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to 'Projects', projects_path, class: 'nav-link' %>
              </li>
              <li class="nav-item">
                <%= link_to 'Students', students_path, class: 'nav-link' %>
              </li>
              <% if current_user&.is_admin %>
                <li class="nav-item">
                  <%= link_to "Admin dashboard", admin_dashboard_path, class: 'nav-link' %>
                </li>
              <% end %>
            </ul>
            <div id="user_status">
              <% if user_signed_in? %>
                Welcome <%= current_user.email %>! Not you?
                <%= link_to "Sign out", destroy_user_session_path, method: :delete %>
              <% else %>
                <%= link_to "Sign up", new_user_registration_path %> or
                <%= link_to "Sign in", new_user_session_path %>
              <% end %>
            </div>
          </div>
        </div>
      </nav>
    </header>

    <!-- Jumbotron -->
    <div class="p-5 text-center bg-light" style="margin-top: 58px;">
      <% if flash[:error] %>
        <div class="error col-4 offset-md-4">
          <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span> 
          <%= flash[:error] %>
        </div>
      <% end %>
      <% if flash[:notice] %>
        <div class="notice col-4 offset-md-4">
          <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span> 
          <%= flash[:notice] %>
        </div>
      <% end %>
      <% if flash[:alert] %>
        <div class="alert col-4 offset-md-4">
          <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span> 
          <%= alert %>
        </div>
      <% end %>
      <%= yield %>
    </div>
  
    <!-- Custom scripts -->
    <script type="text/javascript"></script>

  </body>
</html>